PKCE mandatory from 2026-09-14 Details
Employment Hero LogoEmployment Hero

Custom Field

This endpoint retrieves a list of all custom fields for a specific organisation.

GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/custom_fields

Path Parameters

organisation_iduuidrequired

The ID of the organisation to retrieve

Query Parameters

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100

Response Body

A hash with a data property that contains an item array of up to limit Custom Fields. Each entry in the array is a separate Custom Field object. If there are no more Custom Fields, the resulting array will be empty.

dataobject
itemsobject[]
iduuid

The custom field ID

namestring

The name of the custom field

hintstring

The hint of the custom field

descriptionstring

The description of the custom field

typeenum<string>

The type of the custom field

in_onboardingboolean

Returns true if the custom field captured during onboarding

requiredboolean

Returns true if the custom field is mandatory

custom_field_permissionsobject[]

Lists the permissions for the custom field

custom_field_optionsobject[]

Lists the options for the custom field when type is either single_select or multi_select

page_indexnumber

Current page index

Default1
Min1
item_per_pagenumber

Number of items per page

Default20
Max100
total_itemsnumber

Total items

total_pagesnumber

Total pages

Example

curl -X GET \  "https://api.employmenthero.com/api/v1/organisations/:organisation_id/custom_fields" \  -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"

Response

{  "data": {    "items": [      {        "id": "f131fbe9-eb01-4802-98d9-6df7d11a6403",        "name": "Work day preference",        "hint": "Pick the day(s) that you would prefer to be rostered on",        "description": "Tracking workday preferences to help with rostering ",        "type": "multi_select",        "in_onboarding": false,        "required": false,        "custom_field_permissions": [          {            "id": "0d61bec9-8dcf-4e54-a26f-194ec376ee70",            "permission": "editable",            "role": "employee"          },          {            "id": "9659d80b-04a7-48fb-9bd9-94e76fdf09ff",            "permission": "editable",            "role": "manager"          }        ],        "custom_field_options": [          {            "id": "2c6fb761-f7b2-4ddc-a6b1-cfe734cfc54d",            "value": "Friday"          },          {            "id": "8b533545-a154-4927-a210-046872eff1d2",            "value": "Monday"          },          {            "id": "47e2c33f-42d4-4dd2-8263-daf533ecfd10",            "value": "Thursday"          },          {            "id": "3c0677ec-7c57-46c2-a584-1a1058ffe184",            "value": "Tuesday"          },          {            "id": "e66bd01e-e563-429f-b476-0956be7c5d04",            "value": "Wednesday"          }        ]      },      {        "id": "d8fe2759-a033-49bc-92b3-921556491b2f",        "name": "Tshirt Size",        "hint": "Unisex sizing",        "description": "Tshirt sizing for purchasing uniforms",        "type": "single_select",        "in_onboarding": false,        "required": false,        "custom_field_permissions": [          {            "id": "e4251780-7e3d-4e9a-84e7-45874e9179be",            "permission": "editable",            "role": "employee"          },          {            "id": "f7f75c55-5084-4574-9786-36e0fa4cb2d3",            "permission": "editable",            "role": "manager"          }        ],        "custom_field_options": [          {            "id": "c55ee94c-72b7-4042-ac32-b3ab4ab38d12",            "value": "Large"          },          {            "id": "18e33075-7233-4c0a-9fc9-6ce48e07c807",            "value": "Medium"          },          {            "id": "ea3b8a51-3bfb-4500-bd1f-fe81620cc635",            "value": "Small"          }        ]      },      {        "id": "f6f45926-5425-417b-b010-cc840858154c",        "name": "Dietary Requirements",        "hint": "Any food restrictions",        "description": "To track dietary requirements for catering at events",        "type": "free_text",        "in_onboarding": false,        "required": false,        "custom_field_permissions": [          {            "id": "b9fe040e-0ebc-4ce6-a79c-837b80795823",            "permission": "editable",            "role": "employee"          },          {            "id": "b1522654-2ac8-4593-b51c-8bf0ce2fcfe2",            "permission": "editable",            "role": "manager"          }        ]      }    ],    "page_index": 1,    "item_per_page": 20,    "total_items": 3,    "total_pages": 1  }}